/**
 * <copyright>
 * </copyright>
 *
 * $Id: RenderingValidator.java,v 1.1 2008-04-01 09:35:44 vmahe Exp $
 */
package orgomg.cwm.analysis.informationvisualization.validation;

import org.eclipse.emf.common.util.EList;

import orgomg.cwm.analysis.informationvisualization.RenderedObject;
import orgomg.cwm.analysis.informationvisualization.RenderedObjectSet;

import orgomg.cwm.foundation.expressions.ExpressionNode;

/**
 * A sample validator interface for {@link orgomg.cwm.analysis.informationvisualization.Rendering}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface RenderingValidator {
	boolean validate();

	boolean validateFormula(ExpressionNode value);
	boolean validateAction(String value);
	boolean validateFileName(String value);
	boolean validateType(String value);
	boolean validateUrl(String value);
	boolean validateDefaultedRenderedObject(EList<RenderedObject> value);
	boolean validateRenderedObjectSet(RenderedObjectSet value);
}
